org.apache.hadoop.hdfs.server.common

## Interface BlockAlias

- All Known Implementing Classes:
    FileRegion

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface BlockAlias

  Interface used to load provided blocks.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.hdfs.protocol.Block` | `getBlock()`

- - ### Method Detail

    - #### getBlock

          org.apache.hadoop.hdfs.protocol.Block getBlock()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.